Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.Try now
ChargebeechargebeeAPI

Upsert or remove item entitlements for a feature

Idempotency Supported

Deprecated This operation is deprecated and no longer maintained. Migrate your integration to Manage entitlements.

Upserts or removes a set of item_entitlements for an feature depending on the action specified. The API returns the upserted or deleted item_entitlements after successfully completing the operation. The operation returns an error when the first item_entitlement fails to be processed. Either all the item_entitlements provided in the request are processed or none.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/features/{feature-id}/item_entitlements

Input Parameters

action
required, enumerated string

The specific action to be performed for each item_entitlement specified.

Enum Values
upsert

If the item_entitlement already exists for the feature_id and item_id combination, the value of the item_entitlement is updated. If it doesn't exist, a new item_entitelment is created.

remove

Deletes the item_entitlement for the feature_id and item_id combination, if it exists.

item_entitlements[0..n]
Parameters for item_entitlements. Multiple item_entitlements can be passed by specifying unique indices.
pass parameters as item_entitlements[<param name>][<idx:0..n>]

Returns

Item entitlement object
Resource object representing item_entitlement